<?php

class mcUUID_Installer
{
	
	public static function install()
	{
		$db = XenForo_Application::get('db');
		
		try
		{
			$db->query('ALTER TABLE xf_user ADD COLUMN uuid CHAR(32) DEFAULT NULL');
		} catch (Exception $e) {
			$db->query('ALTER TABLE xf_user CHANGE COLUMN uuid uuid CHAR(32) DEFAULT NULL');
		}
		
	}
	
	public static function uninstall()
	{
		$db = XenForo_Application::get('db');
		
		try
		{
			$db->query('ALTER TABLE xf_user DROP COLUMN uuid');
		} catch (Exception $e) {
			
		}
		
	}
	
}